summaryrefslogtreecommitdiff
path: root/scripts/pull-and-verify.sh
diff options
context:
space:
mode:
authorFredrik Aslund <fredrik.aslund@umu.se>2016-11-04 12:03:55 +0100
committerFredrik Aslund <fredrik.aslund@umu.se>2016-11-04 12:03:55 +0100
commit6e7ed0ad3720f127fa5ece90fd24558d25a68ac6 (patch)
tree7457f2cf1bb84d35803e30d9d2a2859a15f98937 /scripts/pull-and-verify.sh
parente06d64c102d33276333caf73a170451525030c9a (diff)
run aggregate on md1/md2 every 60 minutes, do not commit to git
Diffstat (limited to 'scripts/pull-and-verify.sh')
-rwxr-xr-xscripts/pull-and-verify.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/pull-and-verify.sh b/scripts/pull-and-verify.sh
index 7cfda0a8..03992f1e 100755
--- a/scripts/pull-and-verify.sh
+++ b/scripts/pull-and-verify.sh
@@ -10,7 +10,7 @@ DIR=$2
CERT=$3
TMPF=`mktemp`
-wget --no-check-certificate -O$TMPF $URL || die "Unable to download $URL: $?"
+wget --timeout 120 --no-check-certificate -O$TMPF $URL || die "Unable to download $URL: $?"
if [ "x$CERT" != "x" ]; then
samlsign -c $CERT -f $TMPF || die "Unable to verify $URL with $CERT: $?"
fi
@@ -31,6 +31,6 @@ done
rm -f $T
echo "</EntitiesDescriptor>"
) > $DIR.mxml
-git add $DIR.mxml $DIR
-git commit -m "$URL into $DIR" $DIR.mxml $DIR
+#git add $DIR.mxml $DIR
+#git commit -m "$URL into $DIR" $DIR.mxml $DIR
rm -rf $TMPF $TMPD